Subject: Re: [iola-conversion-tool] Bug when attempting to view announcement text for doc with no intended status
From: Henrik Levkowetz <[email-masked]>
To: Cindy Morgan <[email-masked]>
Cc: [email-masked]
Date: Thu, 23 Feb 2012 23:56:51 +0100
List-Id: Discussion of the IOLA / DB Schema Conversion Tool Project <iola-conversion-tool.ietf.org>

Hi Cindy,

On 2012-02-23 23:44 Cindy Morgan said the following:
> 
> On Feb 23, 2012, at 2:35 PM, Henrik Levkowetz wrote:
> 
>> Hi Cindy,
>> 
>> On 2012-02-23 23:25 Cindy Morgan said the following:
>>> When attempting to view the approval announcement text for
>>> draft-moonesamy-rfc2369bis before an Intended RFC Status had been
>>> entered for the document, I got the error below.
>> 
>> Right.  A fix to handle the case where the Intended RFC Status hasn't
>> been set was committed by Ole 11:22 PST and deployed by me 13:31 PST.
> 
> Ah, that's what I get for going to lunch in between testing and
> writing up the bug report. :-)

Heh :-)

We received an email from the tracker about the problem, with the stack
dump (similar to what you see in the browser in test mode when something
blows up) and Ole jumped on it and put in a fix.

>> It would however be good to know which path you took to get to the view
>> that blew up without setting the Intended RFC Status?
> 
> 
> From https://trackerbeta.ietf.org/doc/draft-moonesamy-rfc2369bis/, I
> clicked on the "Announcement Text" link
> (https://trackerbeta.ietf.org/doc/draft-moonesamy-rfc2369bis/edit/approvaltext/),
> and that's when I got the error.

Ah.  Thanks!

Best regards,

	Henrik